Page MenuHomePhabricator

Switching to VE from NWE while keeping the link inspector/Add Citation dialog open throws error "Uncaught TypeError: Cannot read property 'model' of undefined"
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open NWE
  2. Open the link inspector
  3. Keep it open and switch to VE

The following error appears in the console:
Uncaught TypeError: Cannot read property 'model' of undefined

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 11:58 PM
Ryasmeen renamed this task from Switching to VE from NWE while keeping a context menu open throws error "Uncaught TypeError: Cannot read property 'model' of undefined" to Switching to VE from NWE while keeping the link inspector/Add Citation dialog open throws error "Uncaught TypeError: Cannot read property 'model' of undefined".Apr 26 2018, 2:35 AM

This is probably a duplicate of T122910 and fixed by https://gerrit.wikimedia.org/r/#/c/429209/

Change 429772 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Fully disable the surface before teardown

https://gerrit.wikimedia.org/r/429772

Change 429772 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Fully disable the surface before teardown

https://gerrit.wikimedia.org/r/429772

Change 429832 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (099902ddb)

https://gerrit.wikimedia.org/r/429832

Change 429832 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (099902ddb)

https://gerrit.wikimedia.org/r/429832

Deskana closed this task as Resolved.May 10 2018, 1:03 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 10 2018, 1:03 PM
Vvjjkkii renamed this task from Switching to VE from NWE while keeping the link inspector/Add Citation dialog open throws error "Uncaught TypeError: Cannot read property 'model' of undefined" to c7daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Ryasmeen renamed this task from c7daaaaaaa to Switching to VE from NWE while keeping the link inspector/Add Citation dialog open throws error "Uncaught TypeError: Cannot read property 'model' of undefined".Jul 1 2018, 4:56 AM
Ryasmeen closed this task as Resolved.
Ryasmeen assigned this task to Esanders.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added subscribers: GerritBot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 5 2018, 6:32 PM